import { mappingKeyToFrequency } from '../../../domain/dtos/validators/frequency.mapping';
import { Frequency } from '../../../domain/types/frequency.enum';

describe('frequency mapping function ', () => {
  it('should return punctual', () => {
    expect(mappingKeyToFrequency(1)).toBe(Frequency.PUNCTUAL);
  });
  it('should return recurent', () => {
    expect(mappingKeyToFrequency(2)).toBe(Frequency.RECURRENT);
  });
  it('should return undefined', () => {
    expect(mappingKeyToFrequency(0)).toBeUndefined();
    expect(mappingKeyToFrequency(3)).toBeUndefined();
  });
});
